gi-gmodule-2.0.6: GModule bindings

Copyright | Will Thompson and Iñaki García Etxebarria
License | LGPL-2.1
Maintainer | Iñaki García Etxebarria
Safe Haskell | None
Language | Haskell2010

GI.GModule.Enums

Contents

- Enumerations
  - ModuleError

Description

Synopsis

- data ModuleError
  - = ModuleErrorFailed
  - | ModuleErrorCheckFailed
  - | AnotherModuleError Int
- catchModuleError :: IO a -> (ModuleError -> GErrorMessage -> IO a) -> IO a
- handleModuleError :: (ModuleError -> GErrorMessage -> IO a) -> IO a -> IO a

# Enumerations

## ModuleError

data ModuleError Source #

Errors returned by `g_module_open_full()`.

Since: 2.70

Constructors

ModuleErrorFailed | there was an error loading or opening a module file
ModuleErrorCheckFailed | a module returned an error from its `g_module_check_init()` function
AnotherModuleError Int | Catch-all for unknown values

#### Instances

Instances details

Enum ModuleError Source # |

Instance details

Defined in GI.GModule.Enums

Methods

succ :: ModuleError -> ModuleError Source #

pred :: ModuleError -> ModuleError Source #

toEnum :: Int -> ModuleError Source #

fromEnum :: ModuleError -> Int Source #

enumFrom :: ModuleError -> [ModuleError] Source #

enumFromThen :: ModuleError -> ModuleError -> [ModuleError] Source #

enumFromTo :: ModuleError -> ModuleError -> [ModuleError] Source #

enumFromThenTo :: ModuleError -> ModuleError -> ModuleError -> [ModuleError] Source #

Show ModuleError Source # |
Instance details Defined in GI.GModule.Enums Methods showsPrec :: Int -> ModuleError -> ShowS Source # show :: ModuleError -> String Source # showList :: [ModuleError] -> ShowS Source #
Eq ModuleError Source # |
Instance details Defined in GI.GModule.Enums Methods (==) :: ModuleError -> ModuleError -> Bool Source # (/=) :: ModuleError -> ModuleError -> Bool Source #
Ord ModuleError Source # |

Instance details

Defined in GI.GModule.Enums

Methods

compare :: ModuleError -> ModuleError -> Ordering Source #

(<) :: ModuleError -> ModuleError -> Bool Source #

(<=) :: ModuleError -> ModuleError -> Bool Source #

(>) :: ModuleError -> ModuleError -> Bool Source #

(>=) :: ModuleError -> ModuleError -> Bool Source #

max :: ModuleError -> ModuleError -> ModuleError Source #

min :: ModuleError -> ModuleError -> ModuleError Source #

GErrorClass ModuleError Source # |
Instance details Defined in GI.GModule.Enums Methods gerrorClassDomain :: ModuleError -> Text Source #

catchModuleError :: IO a -> (ModuleError -> GErrorMessage -> IO a) -> IO a Source #

Catch exceptions of type `ModuleError`. This is a specialized version of `catchGErrorJustDomain`.

handleModuleError :: (ModuleError -> GErrorMessage -> IO a) -> IO a -> IO a Source #

Handle exceptions of type `ModuleError`. This is a specialized version of `handleGErrorJustDomain`.